import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:nbt_app/components/appbar_logo.dart';

class AppbarTitle extends StatelessWidget {
  // const AppbarTitle({required this.title}) : super(key: title);

  AppbarTitle({
    required this.title,
    Key? key,
  }) : super(key: key);
  String title;

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(
        BoxConstraints(
            maxWidth: MediaQuery.of(context).size.width,
            maxHeight: MediaQuery.of(context).size.height),
        designSize: Size(360, 690),
        context: context,
        minTextAdapt: true,
        orientation: Orientation.portrait);
    return Row(
      children: [
        SizedBox(
          height: 50.h,
        ),
        // Container(
        //   alignment: Alignment.topLeft,
        //   margin: EdgeInsets.only(left: 30),
        //   child: GestureDetector(
        //     onTap: () {
        //       print("bbb");
        //
        //       // setState(() {
        //       // Navigator.pop(context);
        //       Navigator.push(context,
        //           MaterialPageRoute(builder: (context) => AppBarLogo()));
        //       // });
        //     },
        //     child: Icon(
        //       Icons.arrow_back_ios,
        //       color: Colors.black,
        //     ),
        //   ),
        // ),
        // Spacer(),
        SizedBox(
          width: 50,
        ),
        Container(
          // alignment: Alignment.topCenter,

          child: Text(
            "${title}",
            style: TextStyle(
              color: Colors.white,
              fontFamily: 'DBHeavent',
              fontSize: 25,
              fontWeight: FontWeight.w500,
              letterSpacing: 1,
            ),
          ),
        ),
        Spacer(),
      ],
    );
  }
}
